<?php

namespace App\Models;


use Illuminate\Notifications\Notifiable;
use Illuminate\Foundation\Auth\User as Authenticatable;

class Client extends Authenticatable
{
    use Notifiable;

    protected $table = 'clients';

    /**
     * The attributes that are mass assignable.
     *
     * @var array
     */
    protected $fillable = [
        'name', 'surname', 'birthday', 'sex', 'passport', 'passport_issue', 'passport_by', 'country_id',
        'city_id', 'street', 'house', 'apartment', 'phone', 'mobile', 'email', 'add_operator_id', 'edit_operator_id',
        'added', 'edited', 'orders', 'last_order', 'allowed', 'status', 'uni_code', 'lang_id', 'password', 'remember_token',
        'scan_id', 'client_type', 'is_email_ver'
    ];

//    protected $hidden = [
//        'password', 'remember_token',
//    ];

    protected $casts = [
        'added' => 'datetime',
        'edited' => 'datetime',
        'last_order' => 'datetime',
    ];


    public $timestamps = false;
}
