@extends('layouts.user_new')

@section('content')
    <div class="container">
        <div class="row">
            <div class="col-12">
                <h4 class="mb-5">
                    <span class="text-top-title">Добавление адреса</span>
                </h4>
            </div>
        </div>
        <form method="post" action="{{ route('address.store') }}" class="needs-validation border border-1 bg-white p-5">
            @csrf
            <div class="row">
                <div class="col-xs-12 col-sm-4">
                    <div class="form-group">
                        <label class="form-label" for="forms-check-name1">Имя <span style="color: #ff0912">*</span></label>
                        <input class="form-control" id="forms-check-name1" type="text" name="firstname"
                               data-constraints="@Required" placeholder="Имя" required>
                    </div>
                </div>
                <div class="col-xs-12 col-sm-4">
                    <div class="form-group">
                        <label class="form-label" for="forms-check-last-name1">Фамилия <span style="color: #ff0912">*</span></label>
                        <input class="form-control" id="forms-check-last-name1" type="text" name="secondname"
                               data-constraints="@Required" placeholder="Фамилия" required>
                    </div>
                </div>
                <div class="col-xs-12 col-sm-4">
                    <div class="form-group">
                        <label class="form-label" for="forms-check-last-name1">Отчество <span style="color: #ff0912">*</span></label>
                        <input class="form-control" id="forms-check-last-name1" type="text" name="fathername"
                               data-constraints="@Required" placeholder="Отчество" required>
                    </div>
                </div>
            </div>

            <div class="row">
                <div class="col-md-4">
                    <div class="form-group">
                        <label class="form-label" for="forms-check-company1">Паспорт серия и номер <span style="color: #ff0912">*</span></label>
                        <input class="form-control" id="forms-check-company1" type="text" name="passport"
                               data-constraints="@Required" placeholder="Паспорт серия и номер" required>
                    </div>
                </div>
                <div class="col-md-4">
                    <div class="form-group">
                        <label class="form-label" for="forms-check-company1">Когда выдан <span style="color: #ff0912">*</span></label>
                        <input class="form-control" id="forms-check-company1" type="date" name="passport_issue"
                               data-constraints="@Required" placeholder="Когда выдан" required>
                    </div>
                </div>
                <div class="col-md-4">
                    <div class="form-group">
                        <label class="form-label" for="forms-check-company1">Кем выдан <span style="color: #ff0912">*</span></label>
                        <input class="form-control" id="forms-check-company1" type="text" name="passport_by"
                               data-constraints="@Required" placeholder="Кем выдан" required>
                    </div>
                </div>
            </div>

            <div class="row">
                <div class="col-md-12">
                    <!-- RD SelectMenu-->
                    <div class="form-group">
                        <label class="form-label" for="involve-form-country1">Страна <span style="color: #ff0912">*</span></label>
                        <select class="form-control" id="involve-form-country1" id="country" name="country"
                                data-placeholder="Select Your Country" required>
                            @foreach(\App\Models\Country::all() as $value)
                                <option value="{{ $value->id }}">{{ $value->title_ru }}</option>
                            @endforeach
                        </select>
                    </div>
                </div>
            </div>

            <div class="col-xs-12 select">
                <!-- RD SelectMenu-->
                <div class="form-group form-wrap-validation">
                    <label class="form-label" for="involve-form-country1">Область <span style="color: #ff0912">*</span></label>
                    <select class="form-control" id="involve-form-country1" name="city"
                            data-placeholder="Select Your Area" required>
                        @foreach(\App\Models\City::all() as $value)
                            <option value="{{ $value->id }}">{{ $value->title_ru }}</option>
                        @endforeach
                    </select>
                </div>
            </div>

            <div class="row">
                <div class="col-md-6">
                    <div class="form-group">
                        <label class="form-label" for="forms-check-street">Улица <span style="color: #ff0912">*</span></label>
                        <input type="text" class="form-control" id="forms-check-street" name="street" placeholder="Улица" required>
                    </div>
                </div>
                <div class="col-md-6">
                    <div class="form-group">
                        <label class="form-label" for="forms-check-house">Дом <span style="color: #ff0912">*</span></label>
                        <input type="text" class="form-control" id="forms-check-house" name="house" placeholder="Дом" required>
                    </div>
                </div>
            </div>

            <div class="row">
                <div class="col-md-6">
                    <div class="form-group">
                        <label class="form-label" for="forms-check-appartment">Квартира <span style="color: #ff0912">*</span></label>
                        <input type="text" class="form-control" id="forms-check-appartment" name="apartment"
                               placeholder="Квартира" required>
                    </div>
                </div>

                <div class="col-md-6">
                    <div class="form-group">
                        <label class="form-label" for="forms-check-postcode1">ZIP код <span style="color: #ff0912">*</span></label>
                        <input class="form-control" id="forms-check-postcode1" type="text" name="zip"
                               data-constraints="@Required" placeholder="ZIP код" required>
                    </div>
                </div>
            </div>

            <div class="row">
                <div class="col-md-6">
                    <div class="form-wrap">
                        <label class="form-label" for="forms-check-phone">Номер телефона <span style="color: #ff0912">*</span></label>
                        <input class="form-control" id="forms-check-phone" type="text" name="phone"
                               data-constraints="@Required" placeholder="Номер телефона" required>
                    </div>
                </div>
                <div class="col-md-6 select">
                    <div class="form-group form-wrap-validation">
                        <label class="form-label" for="involve-form-country1">Выберите тип адреса <span style="color: #ff0912">*</span></label>
                        <select class="form-control" id="involve-form-country1" name="type"
                                data-placeholder="Выберите тип адреса" required>

                            <option value="sender">Отправитель</option>
                            <option value="recipient">Получатель</option>

                        </select>
                    </div>
                </div>
            </div>

            <button class="btn btn-primary btn-sm mt-4 shadow" type="submit">Добавить Адрес</button>
        </form>
    </div>
@endsection
